Mailinglist Archive: opensuse-updates (133 mails)

< Previous Next >
openSUSE-SU-2016:1327-1: moderate: Security update for libressl
openSUSE Security Update: Security update for libressl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:1327-1
Rating: moderate
References: #950707 #950708 #957812 #957815 #977584 #978492

Cross-References: CVE-2015-3194 CVE-2015-3195 CVE-2015-5333
CVE-2015-5334
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that solves four vulnerabilities and has two
fixes is now available.

Description:


This libressl update to version 2.2.7 fixes the following issues:

Security issues fixed:
- Fix multiple vulnerabilities in libcrypto relating to ASN.1 and
encoding. [boo#978492, boo#977584]
- CVE-2015-3194: Certificate verify crash with missing PSS parameter
(boo#957815)
- CVE-2015-3195: X509_ATTRIBUTE memory leak (boo#957812)
- CVE-2015-5333: Memory Leak (boo#950707)
- CVE-2015-5334: Buffer Overflow (boo#950708)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2016-604=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libcrypto34-2.2.7-2.13.1
libcrypto34-debuginfo-2.2.7-2.13.1
libressl-2.2.7-2.13.1
libressl-debuginfo-2.2.7-2.13.1
libressl-debugsource-2.2.7-2.13.1
libressl-devel-2.2.7-2.13.1
libssl33-2.2.7-2.13.1
libssl33-debuginfo-2.2.7-2.13.1
libtls4-2.2.7-2.13.1
libtls4-debuginfo-2.2.7-2.13.1

- openSUSE 13.2 (x86_64):

libcrypto34-32bit-2.2.7-2.13.1
libcrypto34-debuginfo-32bit-2.2.7-2.13.1
libressl-devel-32bit-2.2.7-2.13.1
libssl33-32bit-2.2.7-2.13.1
libssl33-debuginfo-32bit-2.2.7-2.13.1
libtls4-32bit-2.2.7-2.13.1
libtls4-debuginfo-32bit-2.2.7-2.13.1

- openSUSE 13.2 (noarch):

libressl-devel-doc-2.2.7-2.13.1


References:

https://www.suse.com/security/cve/CVE-2015-3194.html
https://www.suse.com/security/cve/CVE-2015-3195.html
https://www.suse.com/security/cve/CVE-2015-5333.html
https://www.suse.com/security/cve/CVE-2015-5334.html
https://bugzilla.suse.com/950707
https://bugzilla.suse.com/950708
https://bugzilla.suse.com/957812
https://bugzilla.suse.com/957815
https://bugzilla.suse.com/977584
https://bugzilla.suse.com/978492


< Previous Next >
This Thread
  • No further messages